Create an extension
- POST /deployments/extensions
Creates the extension.
The extensions API supports two types of usage patterns.
A). Specify a download_url, http or https URL, where the extension is currently hosted. This will result in extension being copied to elastic repository.
B). Create only the extension metadata using the POST endpoint and then use PUT to upload the extension file. Leave the download_url unspecified in this case.
Request body
the data that creates the extension
Responses
The extension that was just created.
Could not download the extension from the specified URL. (code: extensions.request_execution_failed)
Your current session does not have a user id associated with it. (code: extensions.no_user_id)
An extension already exists with the generated id. Please try again. (code: extensions.id_already_exists)
The extension download service is currently at capacity. Please retry shortly. (code: extensions.download_service_busy)